Public Class Frm_Common
    Dim viewTag As String = "common"
    Dim ViewFile As String = "\View_Config\Common_"
    Dim ViewOutFile As String = "\ExcelOut\공용코드.xls"
    Public Overrides Function AcceptChanged() As Boolean

    End Function
    Public Overrides Function RejectChanged() As Boolean

    End Function
    Public Overrides Function HasChanged() As Boolean

    End Function
    Private Sub Tbl_commonBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Tbl_commonBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.bs.EndEdit()
        Me.ta.Update(Me.DS.tbl_common_od)
    End Sub

    Private Sub Frm_Common_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: 이 코드는 데이터를 'DS.tbl_common' 테이블에 로드합니다. 필요한 경우 이 코드를 이동하거나 제거할 수 있습니다.
        bs.DataSource = Pub.DSET1.tbl_common_od

    End Sub

    Private Sub ToolStripButton1_Click(sender As Object, e As EventArgs) Handles ToolStripButton1.Click
        Me.ta.Fill(DSET1.tbl_common_od)
    End Sub

    Private Sub ToolStripTextBox1_TextChanged(sender As System.Object, e As System.EventArgs) Handles tbFilter.TextChanged
        Try
            bs.Filter = tbFilter.Text
            tbFilter.BackColor = Color.White
        Catch ex As Exception
            bs.Filter = ""
            tbFilter.BackColor = Color.HotPink
        End Try
    End Sub
End Class